> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update AWS SageMaker integration

> Create or update an AWS integration for this user from Galileo.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json put /v2/integrations/aws_sagemaker
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/aws_sagemaker:
    put:
      tags:
        - integrations
      summary: Create or update AWS SageMaker integration
      description: Create or update an AWS integration for this user from Galileo.
      operationId: create_or_update_integration_v2_integrations_aws_sagemaker_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsSageMakerIntegrationCreate'
              examples:
                - models:
                    - name: huggingface-pytorch-inference-2024-02-29-14-53-51-829
                      alias: aws_hello_world
                      integration: aws_sagemaker
                      system_supported: false
                      input_modalities:
                        - text
                      alternative_names: []
                      token_limit: 4000
                      output_price: 0
                      input_price: 0
                      cost_by: tokens
                      is_chat: false
                      provides_log_probs: false
                      formatting_tokens: 0
                      response_prefix_tokens: 0
                      legacy_mistral_prompt_format: false
                      requires_max_tokens: false
                      params_map:
                        model: model
                      input_map:
                        prompt: prompt
                        prefix: ''
                        suffix: ''
                  credential_type: key_secret
                  region: us-west-2
                  inference_profiles: {}
                  token:
                    aws_access_key_id: AWSA46AWSAWSBEDR0C45K
                    aws_secret_access_key: sagasg2t0-9527@$s1ashsahfahfddsg
                - models: []
                  credential_type: assumed_role
                  region: us-west-1
                  inference_profiles: {}
                  token:
                    aws_role_arn: arn:aws:iam::1234567901:role/AWSSagemakerAccessRole
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    AwsSageMakerIntegrationCreate:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        models:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Models
        credential_type:
          $ref: '#/components/schemas/AwsCredentialType'
          default: key_secret
        region:
          type: string
          title: Region
          default: us-west-2
        inference_profiles:
          additionalProperties:
            type: string
          type: object
          title: Inference Profiles
          description: >-
            Mapping from model name (Foundation model ID) to inference profile
            ARN or ID
        token:
          additionalProperties:
            type: string
          type: object
          title: Token
      type: object
      required:
        - token
      title: AwsSageMakerIntegrationCreate
    IntegrationDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          $ref: '#/components/schemas/IntegrationName'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid4
          title: Created By
        is_selected:
          type: boolean
          title: Is Selected
          default: false
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
        - created_by
      title: IntegrationDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MultiModalModelIntegrationConfig:
      properties:
        max_files:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max Files
          description: Maximum number of files allowed per request. None means no limit.
        max_file_size_bytes:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max File Size Bytes
          description: Maximum file size in bytes per file. None means no limit.
      type: object
      title: MultiModalModelIntegrationConfig
      description: Configuration for multi-modal capabilities (file uploads).
    Model:
      properties:
        name:
          type: string
          title: Name
        alias:
          type: string
          title: Alias
        integration:
          $ref: '#/components/schemas/LLMIntegration'
          default: openai
        user_role:
          anyOf:
            - type: string
            - type: 'null'
          title: User Role
        assistant_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistant Role
        system_supported:
          type: boolean
          title: System Supported
          default: false
        input_modalities:
          items:
            $ref: '#/components/schemas/ContentModality'
          type: array
          title: Input Modalities
          description: Input modalities that the model can accept.
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          description: >-
            Alternative names for the model, used for matching with various
            current, versioned or legacy names.
        input_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Token Limit
        output_token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Token Limit
        token_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Token Limit
        output_price:
          type: number
          title: Output Price
          default: 0
        input_price:
          type: number
          title: Input Price
          default: 0
        cost_by:
          $ref: '#/components/schemas/ModelCostBy'
          default: tokens
        is_chat:
          type: boolean
          title: Is Chat
          default: false
        provides_log_probs:
          type: boolean
          title: Provides Log Probs
          default: false
        formatting_tokens:
          type: integer
          title: Formatting Tokens
          default: 0
        response_prefix_tokens:
          type: integer
          title: Response Prefix Tokens
          default: 0
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        legacy_mistral_prompt_format:
          type: boolean
          title: Legacy Mistral Prompt Format
          default: false
        requires_max_tokens:
          type: boolean
          title: Requires Max Tokens
          default: false
        max_top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Top P
        params_map:
          $ref: '#/components/schemas/RunParamsMap'
        output_map:
          anyOf:
            - $ref: '#/components/schemas/OutputMap'
            - type: 'null'
        input_map:
          anyOf:
            - $ref: '#/components/schemas/InputMap'
            - type: 'null'
      type: object
      required:
        - name
        - alias
      title: Model
    AwsCredentialType:
      type: string
      enum:
        - assumed_role
        - key_secret
      title: AwsCredentialType
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    IntegrationName:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: IntegrationName
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LLMIntegration:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: LLMIntegration
    ContentModality:
      type: string
      enum:
        - text
        - document
        - image
        - audio
        - video
      title: ContentModality
      description: Classification of content modality
    ModelCostBy:
      type: string
      enum:
        - tokens
        - characters
      title: ModelCostBy
    RunParamsMap:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        temperature:
          anyOf:
            - type: string
            - type: 'null'
          title: Temperature
        max_tokens:
          anyOf:
            - type: string
            - type: 'null'
          title: Max Tokens
        stop_sequences:
          anyOf:
            - type: string
            - type: 'null'
          title: Stop Sequences
        top_p:
          anyOf:
            - type: string
            - type: 'null'
          title: Top P
        top_k:
          anyOf:
            - type: string
            - type: 'null'
          title: Top K
        frequency_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Frequency Penalty
        presence_penalty:
          anyOf:
            - type: string
            - type: 'null'
          title: Presence Penalty
        echo:
          anyOf:
            - type: string
            - type: 'null'
          title: Echo
        logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logprobs
        top_logprobs:
          anyOf:
            - type: string
            - type: 'null'
          title: Top Logprobs
        'n':
          anyOf:
            - type: string
            - type: 'null'
          title: 'N'
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        tools:
          anyOf:
            - type: string
            - type: 'null'
          title: Tools
        tool_choice:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Choice
        response_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Format
        reasoning_effort:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Effort
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
      type: object
      title: RunParamsMap
      description: >-
        Maps the internal settings parameters (left) to the serialized
        parameters (right) we want to send in the API

        requests.
    OutputMap:
      properties:
        response:
          type: string
          title: Response
        token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Count
        input_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Input Token Count
        output_token_count:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Token Count
        completion_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Completion Reason
      type: object
      required:
        - response
      title: OutputMap
    InputMap:
      properties:
        prompt:
          type: string
          title: Prompt
        prefix:
          type: string
          title: Prefix
          default: ''
        suffix:
          type: string
          title: Suffix
          default: ''
      type: object
      required:
        - prompt
      title: InputMap
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````